##
##  librtmp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2017 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         librtmp
Summary:      RTMP Protocol Library
URL:          https://rtmpdump.mplayerhq.hu/
Vendor:       Andrej Stepanchuk, Howard Chu
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Networking
License:      LGPL
Version:      2.3
Release:      20170225

#   list of sources
Source0:      https://rtmpdump.mplayerhq.hu/download/rtmpdump-%{version}.tgz
Patch0:       librtmp.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    LibRTMP is an RTMP protocol library, factored our of the RMTP
    debugging tool RTMPDump.

%track
    prog librtmp = {
        version   = %{version}
        url       = https://rtmpdump.mplayerhq.hu/download/
        regex     = rtmpdump-(__VER__)\.tgz
    }

%prep
    %setup -q -n rtmpdump-%{version}
    %patch -p0

%build
    cd librtmp
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}" \
        librtmp.a \
        librtmp.pc

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include/librtmp \
        $RPM_BUILD_ROOT%{l_prefix}/lib/pkgconfig \
        $RPM_BUILD_ROOT%{l_prefix}/man/man3
    %{l_shtool} install -c -m 644 \
        librtmp/*.h $RPM_BUILD_ROOT%{l_prefix}/include/librtmp/
    %{l_shtool} install -c -m 644 \
        librtmp/librtmp.a $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_shtool} install -c -m 644 \
        librtmp/librtmp.3 $RPM_BUILD_ROOT%{l_prefix}/man/man3/
    %{l_shtool} install -c -m 644 \
        librtmp/librtmp.pc $RPM_BUILD_ROOT%{l_prefix}/lib/pkgconfig/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

